Package: org.grails.core.util

## [Groovy] Class IncludeExcludeSupport<T>

- org.grails.core.util.IncludeExcludeSupport

- Simple support class for simplifying include/exclude handling

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `EXCLUDES_PROPERTY`
    `static java.lang.String` | `INCLUDES_PROPERTY`
    `java.util.List<T>` | `defaultExcludes`
    `java.util.List<T>` | `defaultIncludes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IncludeExcludeSupport (java.util.List<T> defaultIncludes = null, java.util.List<T> defaultExcludes = [])`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `excludes(java.util.List<T> excludes, T object)`
    `` | `boolean` | `includes(java.util.List<T> includes, T object)`
    `` | `boolean` | `shouldInclude(java.util.List<T> incs, java.util.List excs, T object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String EXCLUDES_PROPERTY

    - #### static final java.lang.String INCLUDES_PROPERTY

    - #### java.util.List<T> defaultExcludes

    - #### java.util.List<T> defaultIncludes

  - ### Constructor Detail

    - #### IncludeExcludeSupport(java.util.List<T> defaultIncludes = null, java.util.List<T> defaultExcludes = [])

  - ### Method Detail

    - #### boolean excludes(java.util.List<T> excludes, T object)

    - #### boolean includes(java.util.List<T> includes, T object)

    - #### boolean shouldInclude(java.util.List<T> incs, java.util.List excs, T object)